# Yahoo! UI Library

### Storage 2.8.0r4

Yahoo! UI Library > Storage > YAHOO.util.StorageEngineKeyed
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.util.StorageEngineKeyed

The StorageEngineKeyed class implements the interface necessary for managing keys.

### Constructor

YAHOO.util.StorageEngineKeyed `( )`

### Properties

#### _keyMap - `protected {Object}`

A map of keys to their applicable position in keys array. This should never be edited by the developer.

#### _keys - `protected {Array}`

A collection of keys applicable to the current location. This should never be edited by the developer.

### Methods

#### _addKey

`protected void _addKey ( key )`
Adds the key to the set.

Parameters:
  `key <String>` Required. The key to evaluate.

Returns: `void`

#### _indexOfKey

`protected void _indexOfKey ( key )`
Evaluates if a key exists in the keys array; indexOf does not work in all flavors of IE.

Parameters:
  `key <String>` Required. The key to evaluate.

Returns: `void`

#### _removeKey

`protected void _removeKey ( key )`
Removes a key from the keys array.

Parameters:
  `key <String>` Required. The key to remove.

Returns: `void`

Copyright © 2009 Yahoo! Inc. All rights reserved.